This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1465434 - update libtomcrypt to a newer version than EPEL one
update libtomcrypt to a newer version than EPEL one
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libtomcrypt (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.4
Assigned To: Pavel Cahyna
Leos Pol
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 08:29 EDT by Pavel Cahyna
Modified: 2017-08-01 20:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: libtomcrypt-1.17-26.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 20:20:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Cahyna 2017-06-27 08:29:12 EDT
Description of problem:

EPEL now has libtomcrypt-1.17-25.el7 https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1ee32a5ffa , identical to the RHEL NVR. We should have a newer version than EPEL has and merge their changes. This will fix https://bugzilla.redhat.com/show_bug.cgi?id=1463608 and CVE-2016-6129. I will also fix the strict aliasing warnings (found by rpmdiff) in this update

Version-Release number of selected component (if applicable):

libtomcrypt-1.17-25.el7
Comment 4 errata-xmlrpc 2017-08-01 20:20:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2368

Note You need to log in before you can comment on or make changes to this bug.